List blackouts affecting a target by target ID

get

https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/blackouts/targets/{targetId}

Lists blackouts affecting a target by target ID.

Request

Path Parameters
Query Parameters
  • Minimum Value: 1
    Maximum Value: 2000
    to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.
    Example:
    20
  • system generated page token used in the self, next and previous links.
  • The sort field and direction. Allowed directions are ASC and DESC.
    Example:
    name:ASC

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

OK
Body ()
Root Schema : ExtendedBlackoutSummaryCollection
Type: object
Collection of extended blackout summaries for a target.
Show Source
Nested Schema : items
Type: array
Extended blackout summaries.
Show Source
Nested Schema : ExtendedBlackoutSummary
Type: object
Extended summary information about a blackout for a specific target.
Show Source
Nested Schema : Repeat
Type: object
Describes repetition of a blackout.
Show Source
  • End time of the repetition with timezone. Timestamps are with minute accuracy.
    Example: 2023-08-24T14:54-02:00
Match One Schema
Show Source
Nested Schema : DaysOfYear
Type: object
List of days of year.
Show Source
Nested Schema : DaysOfMonth
Type: object
List of days of month in range 1-31 or -1 for last day of the month.
Show Source
Nested Schema : DaysOfWeek
Type: object
List of days of week.
Show Source
Nested Schema : EveryNWeeks
Type: object
Repeat every n weeks.
Show Source
Nested Schema : EveryNDays
Type: object
Repeat every n days.
Show Source
Nested Schema : EveryNHours
Type: object
Repeat every n hours.
Show Source
Nested Schema : EveryNMinutes
Type: object
Repeat every n minutes, minimal value is 2.
Show Source
Nested Schema : daysOfYear
Type: array
List of days of the year.
Show Source
Nested Schema : items
Type: object
Show Source
Nested Schema : daysOfMonth
Type: array
List of days of the month (1 based).
Show Source
Example:
[
    1,
    15
]
Nested Schema : daysOfWeek
Type: array
List of days of week (localized short names).
Show Source
Example:
[
    "MO",
    "TH"
]

401 Response

client is not authenticated
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

500 Response

internal error serving the request
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source

503 Response

indicates that a required service is not available.
Body ()
Root Schema : ErrorResponse
Type: object
Response sent back in the case of an Error
Show Source
Nested Schema : details
Type: array
(Optional) List of additional details for the errors found.
Show Source
Nested Schema : ErrorDetail
Type: object
listed as part of ErrorResponse
Show Source
Back to Top